org.eclipse.wst.jsdt.core

## Interface IJavaScriptModelStatusConstants

    public interface IJavaScriptModelStatusConstants

Status codes used with JavaScript model status objects.

This interface declares constants only; it is not intended to be implemented or extended.

See Also:
  `IJavaScriptModelStatus`, `Provisional API: This class/interface is part of an interim API that is still under development and expected to change significantly before reaching stability. It is being made available at this early stage to solicit feedback from pioneering adopters on the understanding that any code that uses this API will almost certainly be broken (repeatedly) as the API evolves.`

### Field Summary

Fields
`static int` `BUILDER_INITIALIZATION_ERROR` Status constant indicating that the JavaScript validator could not be initialized.
`static int` `BUILDER_SERIALIZATION_ERROR` Status constant indicating that the JavaScript validator's last built state could not be serialized or deserialized.
`static int` `CANNOT_RETRIEVE_ATTACHED_JSDOC` Status constant indicating that the attached jsdoc content cannot be retrieved due to multiple reasons: invalid url, timed-out,...
`static int` `CORE_EXCEPTION` Status constant indicating a core exception occurred.
`static int` `CP_CONTAINER_PATH_UNBOUND` Status constant indicating that a container path was not resolvable indicating either the referred container is undefined, unbound.
`static int` `CP_VARIABLE_PATH_UNBOUND` Status constant indicating that a variable path was not resolvable indicating either the referred variable is undefined, unbound or the resolved variable path does not correspond to an existing file or folder.
`static int` `DEPRECATED_VARIABLE` Status constant indicating that the variable is deprecated.
`static int` `DEVICE_PATH` Status constant indicating that a path specifying a device was supplied to the operation when a path with no device is required.
`static int` `DISABLED_CP_EXCLUSION_PATTERNS` Status constant indicating that an inclusion or an exclusion pattern got specified on a includepath source entry, though it was explicitely disabled according to its project preference settings.
`static int` `DISABLED_CP_MULTIPLE_OUTPUT_LOCATIONS` Status constant indicating that a specific output location got associated with a source entry, though it was explicitely disabled according to its project preference settings.
`static int` `DOM_EXCEPTION` Status constant indicating that a `DOMException` occurred.
`static int` `ELEMENT_DOES_NOT_EXIST` Status constant indicating that one or more elements supplied do not exist.
`static int` `ELEMENT_NOT_ON_CLASSPATH` Status constant indicating that an element is not on its project's includepath.
`static int` `EVALUATION_ERROR` Status constant indicating that an error was encountered while trying to evaluate a code snippet, or other item.
`static int` `INCLUDEPATH_CYCLE` Status indicating that a project is involved in a build path cycle.
`static int` `INCOMPATIBLE_JDK_LEVEL`
`static int` `INDEX_OUT_OF_BOUNDS` Status constant indicating the given source position is out of bounds.
`static int` `INVALID_CONTENTS` Status constant indicating that the specified contents are not valid.
`static int` `INVALID_CP_CONTAINER_ENTRY` Status constant indicating that a container path was resolved to invalid entries (null or container).
`static int` `INVALID_DESTINATION` Status constant indicating that a destination provided for a copy/move/rename operation is invalid.
`static int` `INVALID_ELEMENT_TYPES` Status constant indicating one or more of the elements supplied are not of a valid type for the operation to process.
`static int` `INVALID_INCLUDEPATH` Status constant indicating that a includepath entry was invalid
`static int` `INVALID_INCLUDEPATH_FILE_FORMAT` Status indicating that a .jsdtScope file is ill-formed, and thus cannot be read/written successfully.
`static int` `INVALID_NAME` Status constant indicating that a name provided is not syntactically correct.
`static int` `INVALID_PACKAGE` Status indicating that the package declaration in a `IJavaScriptUnit` does not correspond to the `IPackageFragment` it belongs to.
`static int` `INVALID_PATH` Status constant indicating that a path provided to an operation is invalid.
`static int` `INVALID_PROJECT` Status indicating that a JavaScript element could not be created because the project owning underlying resource does not have the JavaScript nature.
`static int` `INVALID_RESOURCE` Status indicating that a JavaScript element could not be created because the underlying resource is invalid.
`static int` `INVALID_RESOURCE_TYPE` Status indicating that a JavaScript element could not be created because the underlying resource is not of an appropriate type.
`static int` `INVALID_SIBLING` Status constant indicating that a sibling specified is not valid.
`static int` `IO_EXCEPTION` Status constant indicating that an `java.io.IOException` occurred.
`static int` `NAME_COLLISION` Status constant indicating that a naming collision would occur if the operation proceeded.
`static int` `NO_ELEMENTS_TO_PROCESS` Status constant indicating that no elements were provided to the operation for processing.
`static int` `NO_LOCAL_CONTENTS` Status indicating that the corresponding resource has no local contents yet.
`static int` `NULL_NAME` Status constant indicating that `null` was specified as a name argument.
`static int` `NULL_PATH` Status constant indicating that a `null` path was supplied to the operation.
`static int` `NULL_STRING` Status constant indicating that a string was supplied to the operation that was `null`.
`static int` `PATH_OUTSIDE_PROJECT` Status constant indicating that a path outside of the project was supplied to the operation.
`static int` `READ_ONLY` Status constant indicating that the operation encountered a read-only element.
`static int` `RELATIVE_PATH` Status constant indicating that a relative path was supplied to the operation when an absolute path is required.
`static int` `TARGET_EXCEPTION` Status constant indicating that a `TargetException` occurred.
`static int` `UNKNOWN_JSDOC_FORMAT` Status constant indicating that the attached jsdoc content format is unrecognized.
`static int` `UPDATE_CONFLICT` Status constant indicating there is an update conflict for a working copy.
`static int` `VALIDATION_FAILURE` Status constant indicating that a validation failure occurred.

### Field Detail

#### INVALID_CP_CONTAINER_ENTRY

    static final int INVALID_CP_CONTAINER_ENTRY

Status constant indicating that a container path was resolved to invalid entries (null or container).

See Also:
  Constant Field Values

#### CP_CONTAINER_PATH_UNBOUND

    static final int CP_CONTAINER_PATH_UNBOUND

Status constant indicating that a container path was not resolvable indicating either the referred container is undefined, unbound.

See Also:
  Constant Field Values

#### INVALID_INCLUDEPATH

    static final int INVALID_INCLUDEPATH

Status constant indicating that a includepath entry was invalid

See Also:
  Constant Field Values

#### CP_VARIABLE_PATH_UNBOUND

    static final int CP_VARIABLE_PATH_UNBOUND

Status constant indicating that a variable path was not resolvable indicating either the referred variable is undefined, unbound or the resolved variable path does not correspond to an existing file or folder.

See Also:
  Constant Field Values

#### CORE_EXCEPTION

    static final int CORE_EXCEPTION

Status constant indicating a core exception occurred. Use `getException` to retrieve a `CoreException`.

See Also:
  Constant Field Values

#### INVALID_ELEMENT_TYPES

    static final int INVALID_ELEMENT_TYPES

Status constant indicating one or more of the elements supplied are not of a valid type for the operation to process. The element(s) can be retrieved using `getElements` on the status object.

See Also:
  Constant Field Values

#### NO_ELEMENTS_TO_PROCESS

    static final int NO_ELEMENTS_TO_PROCESS

Status constant indicating that no elements were provided to the operation for processing.

See Also:
  Constant Field Values

#### ELEMENT_DOES_NOT_EXIST

    static final int ELEMENT_DOES_NOT_EXIST

Status constant indicating that one or more elements supplied do not exist. The element(s) can be retrieved using `getElements` on the status object.

See Also:
  `IJavaScriptModelStatus.isDoesNotExist()`, Constant Field Values

#### NULL_PATH

    static final int NULL_PATH

Status constant indicating that a `null` path was supplied to the operation.

See Also:
  Constant Field Values

#### PATH_OUTSIDE_PROJECT

    static final int PATH_OUTSIDE_PROJECT

Status constant indicating that a path outside of the project was supplied to the operation. The path can be retrieved using `getPath` on the status object.

See Also:
  Constant Field Values

#### RELATIVE_PATH

    static final int RELATIVE_PATH

Status constant indicating that a relative path was supplied to the operation when an absolute path is required. The path can be retrieved using `getPath` on the status object.

See Also:
  Constant Field Values

#### DEVICE_PATH

    static final int DEVICE_PATH

Status constant indicating that a path specifying a device was supplied to the operation when a path with no device is required. The path can be retrieved using `getPath` on the status object.

See Also:
  Constant Field Values

#### NULL_STRING

    static final int NULL_STRING

Status constant indicating that a string was supplied to the operation that was `null`.

See Also:
  Constant Field Values

#### READ_ONLY

    static final int READ_ONLY

Status constant indicating that the operation encountered a read-only element. The element(s) can be retrieved using `getElements` on the status object.

See Also:
  Constant Field Values

#### NAME_COLLISION

    static final int NAME_COLLISION

Status constant indicating that a naming collision would occur if the operation proceeded.

See Also:
  Constant Field Values

#### INVALID_DESTINATION

    static final int INVALID_DESTINATION

Status constant indicating that a destination provided for a copy/move/rename operation is invalid. The destination element can be retrieved using `getElements` on the status object.

See Also:
  Constant Field Values

#### INVALID_PATH

    static final int INVALID_PATH

Status constant indicating that a path provided to an operation is invalid. The path can be retrieved using `getPath` on the status object.

See Also:
  Constant Field Values

#### INDEX_OUT_OF_BOUNDS

    static final int INDEX_OUT_OF_BOUNDS

Status constant indicating the given source position is out of bounds.

See Also:
  Constant Field Values

#### UPDATE_CONFLICT

    static final int UPDATE_CONFLICT

Status constant indicating there is an update conflict for a working copy. The compilation unit on which the working copy is based has changed since the working copy was created.

See Also:
  Constant Field Values

#### NULL_NAME

    static final int NULL_NAME

Status constant indicating that `null` was specified as a name argument.

See Also:
  Constant Field Values

#### INVALID_NAME

    static final int INVALID_NAME

Status constant indicating that a name provided is not syntactically correct. The name can be retrieved from `getString`.

See Also:
  Constant Field Values

#### INVALID_CONTENTS

    static final int INVALID_CONTENTS

Status constant indicating that the specified contents are not valid.

See Also:
  Constant Field Values

#### IO_EXCEPTION

    static final int IO_EXCEPTION

Status constant indicating that an `java.io.IOException` occurred.

See Also:
  Constant Field Values

#### DOM_EXCEPTION

    static final int DOM_EXCEPTION

Status constant indicating that a `DOMException` occurred.

See Also:
  Constant Field Values

#### TARGET_EXCEPTION

    static final int TARGET_EXCEPTION

Status constant indicating that a `TargetException` occurred.

See Also:
  Constant Field Values

#### BUILDER_INITIALIZATION_ERROR

    static final int BUILDER_INITIALIZATION_ERROR

Status constant indicating that the JavaScript validator could not be initialized.

See Also:
  Constant Field Values

#### BUILDER_SERIALIZATION_ERROR

    static final int BUILDER_SERIALIZATION_ERROR

Status constant indicating that the JavaScript validator's last built state could not be serialized or deserialized.

See Also:
  Constant Field Values

#### EVALUATION_ERROR

    static final int EVALUATION_ERROR

Status constant indicating that an error was encountered while trying to evaluate a code snippet, or other item.

See Also:
  Constant Field Values

#### INVALID_SIBLING

    static final int INVALID_SIBLING

Status constant indicating that a sibling specified is not valid.

See Also:
  Constant Field Values

#### INVALID_RESOURCE

    static final int INVALID_RESOURCE

Status indicating that a JavaScript element could not be created because the underlying resource is invalid.

See Also:
  `JavaScriptCore`, Constant Field Values

#### INVALID_RESOURCE_TYPE

    static final int INVALID_RESOURCE_TYPE

Status indicating that a JavaScript element could not be created because the underlying resource is not of an appropriate type.

See Also:
  `JavaScriptCore`, Constant Field Values

#### INVALID_PROJECT

    static final int INVALID_PROJECT

Status indicating that a JavaScript element could not be created because the project owning underlying resource does not have the JavaScript nature.

See Also:
  `JavaScriptCore`, Constant Field Values

#### INVALID_PACKAGE

    static final int INVALID_PACKAGE

Status indicating that the package declaration in a `IJavaScriptUnit` does not correspond to the `IPackageFragment` it belongs to. The `getString` method of the associated status object gives the name of the package in which the `IJavaScriptUnit` is declared.

See Also:
  Constant Field Values

#### NO_LOCAL_CONTENTS

    static final int NO_LOCAL_CONTENTS

Status indicating that the corresponding resource has no local contents yet. This might happen when attempting to use a resource before its contents has been made locally available.

See Also:
  Constant Field Values

#### INVALID_INCLUDEPATH_FILE_FORMAT

    static final int INVALID_INCLUDEPATH_FILE_FORMAT

Status indicating that a .jsdtScope file is ill-formed, and thus cannot be read/written successfully.

See Also:
  Constant Field Values

#### INCLUDEPATH_CYCLE

    static final int INCLUDEPATH_CYCLE

Status indicating that a project is involved in a build path cycle.

See Also:
  Constant Field Values

#### DISABLED_CP_EXCLUSION_PATTERNS

    static final int DISABLED_CP_EXCLUSION_PATTERNS

Status constant indicating that an inclusion or an exclusion pattern got specified on a includepath source entry, though it was explicitely disabled according to its project preference settings.

See Also:
  `IJavaScriptProject.getOptions(boolean)`, Constant Field Values

#### DISABLED_CP_MULTIPLE_OUTPUT_LOCATIONS

    static final int DISABLED_CP_MULTIPLE_OUTPUT_LOCATIONS

Status constant indicating that a specific output location got associated with a source entry, though it was explicitely disabled according to its project preference settings.

See Also:
  `IJavaScriptProject.getOptions(boolean)`, Constant Field Values

#### INCOMPATIBLE_JDK_LEVEL

    static final int INCOMPATIBLE_JDK_LEVEL

See Also:
  Constant Field Values

#### VALIDATION_FAILURE

    static final int VALIDATION_FAILURE

Status constant indicating that a validation failure occurred.

See Also:
  Constant Field Values

#### ELEMENT_NOT_ON_CLASSPATH

    static final int ELEMENT_NOT_ON_CLASSPATH

Status constant indicating that an element is not on its project's includepath.

See Also:
  Constant Field Values

#### CANNOT_RETRIEVE_ATTACHED_JSDOC

    static final int CANNOT_RETRIEVE_ATTACHED_JSDOC

Status constant indicating that the attached jsdoc content cannot be retrieved due to multiple reasons: invalid url, timed-out,...

See Also:
  Constant Field Values

#### UNKNOWN_JSDOC_FORMAT

    static final int UNKNOWN_JSDOC_FORMAT

Status constant indicating that the attached jsdoc content format is unrecognized.

See Also:
  Constant Field Values

#### DEPRECATED_VARIABLE

    static final int DEPRECATED_VARIABLE

Status constant indicating that the variable is deprecated.

See Also:
  Constant Field Values